Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038365
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-04-13 13:132018-07-30 15:40
ReporterasiermartirenaView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in VersionRR18Q3
StatusclosedFix in branchFixed in SCM revision953ae5968b25
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038365: Problems when trying to open a ticket without permission for that type of ticket

DescriptionIn Web POS, there's the possibility to allow or not to open a tickets depending of the tickets type (there are preferences to allow this). When a ticket is not allowed to be opened and the user tries to open it, the open receipt selector gets locked and it is not possible to load any other ticket until the user presses F5. This occurs because the error callback function is not called, so the Web POS thinks that the first load process is still active.
Steps To ReproduceConfigure the 'Web POS Open Layaways' to N.

Load the Web POS.

Try to open a layaway -> A popup appears telling that the user doesn't have permissions to open it

Try to open another ticket (can be a receipt) -> The ticket is not loaded and no message appears
TagsSER-QA
Attached Filespatch file icon proposedSolution.patch [^] (970 bytes) 2018-04-13 13:13 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0103999)
hgbot (developer)
2018-04-19 16:44

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 953ae5968b256d5050b5b892d43d029e002e1888
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Tue Apr 17 15:00:39 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/953ae5968b256d5050b5b892d43d029e002e1888 [^]

Fixed issue 38365: Problems when trying to open a ticket without permission for
that type of ticket

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0106019)
hgbot (developer)
2018-07-30 15:40

Repository: tools/automation/pi-mobile
Changeset: 3df81719a438eed4b955c092b3643c7680fceb6a
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Fri Jul 13 11:29:38 2018 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/3df81719a438eed4b955c092b3643c7680fceb6a [^]

Related to issue 38365: added automated test

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/layaway/I38365_VerifyOpenLayawayWithoutPermissionForThatTicket.java
---

- Issue History
Date Modified Username Field Change
2018-04-13 13:13 asiermartirena New Issue
2018-04-13 13:13 asiermartirena Assigned To => Retail
2018-04-13 13:13 asiermartirena File Added: proposedSolution.patch
2018-04-13 13:13 asiermartirena Triggers an Emergency Pack => No
2018-04-13 13:14 asiermartirena Tag Attached: SER-QA
2018-04-17 18:58 rqueralta Assigned To Retail => rqueralta
2018-04-17 19:00 rqueralta Status new => scheduled
2018-04-19 16:44 hgbot Checkin
2018-04-19 16:44 hgbot Note Added: 0103999
2018-04-19 16:44 hgbot Status scheduled => resolved
2018-04-19 16:44 hgbot Resolution open => fixed
2018-04-19 16:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/953ae5968b256d5050b5b892d43d029e002e1888 [^]
2018-04-26 10:45 marvintm Review Assigned To => marvintm
2018-04-26 10:45 marvintm Status resolved => closed
2018-04-26 10:45 marvintm Fixed in Version => RR18Q3
2018-07-30 15:40 hgbot Checkin
2018-07-30 15:40 hgbot Note Added: 0106019


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker